/**
 * initApp handles setting up UI event listeners and registering Firebase auth listeners:
 *  - firebase.auth().onAuthStateChanged: This listener is called when the user is signed in or
 *    out, and that is where we update the UI.
 */

let email;
let uid;

function initApp() {
    // Listening for auth state changes.
    // [START authstatelistener]
    firebase.auth().onAuthStateChanged(function (user) {
        if (user) {
            // User is signed in.

            email = user.email;
            let emailVerified = user.emailVerified;
            uid = user.uid;
            let providerData = user.providerData;








        } else {
            // User is signed out.
            console.log("User is signed out");

        }

    });
    // [END authstatelistener]

}

window.onload = function () {
    initApp();
};


/**
 * Handles the sign in button press.
 */
function togglePassChange() {

    $('#passChangeBtn').html('<span class="spinner-border spinner-border-sm mr-2" role="status" aria-hidden="true"></span>Loading...').attr('disabled', true);


    document.getElementById('passChangeBtn').disabled = true;
    var email = document.getElementById('email').value;

    if (ValidateEmail(email) === false) {
        document.getElementById('passChangeBtn').disabled = false;
        $('#passChangeBtn').html(' <button class="btn btn-danger mt-10" id="passChangeBtn" onclick="togglePassChange()" type="submit">Log In\n' +
            '                        </button>').attr('disabled', false);

        Swal.fire({
            icon: 'error',
            title: 'Oops...',
            text: 'Please enter a valid email address.'

        })
        return;
    }


    firebase.auth().sendPasswordResetEmail(email)
        .then(() => {
            // Password reset email sent!
            // ..
            Swal.fire({
                icon: 'success',
                title: 'Password reset email sent',
                text: 'Please check you email address to continue resetting you password. '

            }).then((result) => {
                window.location.href = 'index.html'
            })
        })
        .catch((error) => {
            var errorCode = error.code;
            var errorMessage = error.message;
            Swal.fire({
                icon: 'error',
                title: 'Oops...',
                text: errorMessage

            })
            // ..
        });
}
function toggleSignOut() {

    // [START signout]
    firebase.auth().signOut();
    // [END signout]

}

function ValidateEmail(email) {
    var mailformat = /^[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-zA-Z0-9-]+(?:\.[a-zA-Z0-9-]+)*$/;
    if (email.match(mailformat)) {

        return true;
    }
    else {

        return false;
    }
}

$(document).on("keydown", function (e) {

    var keyCode = e.which || e.keyCode;
    if (keyCode == 13) // enter key code
    {
        togglePassChange();
    }

});