/**
 * initApp handles setting up UI event listeners and registering Firebase auth listeners:
 *  - firebase.auth().onAuthStateChanged: This listener is called when the user is signed in or
 *    out, and that is where we update the UI.
 */

 let email;
 let uid;
 
 function initApp() {
     // Listening for auth state changes.
     // [START authstatelistener]
     firebase.auth().onAuthStateChanged(function (user) {
         if (user) {
             // User is signed in.


 
             email = user.email;
             let emailVerified = user.emailVerified;
             uid = user.uid;
             let providerData = user.providerData;
 
              console.log(user.metadata.lastSignInTime);
             let db = firebase.firestore();
 
 
             let docRef = db.collection("traders").doc(uid);
 
             docRef.get().then(function (doc) {
                 if (doc.exists) {
                  
                    let restName = doc.data().restaurant;
                    let traderName = doc.data().traderFullName;
                    let restId = doc.data().restId;
                    document.getElementById('proName').innerText = traderName+" ("+restName+")";
                    db.collection("rooms").where("restId", "==", restId).onSnapshot((snapshot) => {
                        document.getElementById('contacts').innerHTML = "";
                        snapshot.forEach(function (documents) {
        
                            var div = document.getElementById('contacts');
                            div.innerHTML += '<div class="media align-items-center">'+
                            '<span class="badge badge-dot badge-success"></span>'+
                            '<a class="flexbox flex-grow gap-items text-truncate" href="contact_app_chat.html?chatId='+documents.data().customerId+'&branchId='+documents.data().branchId+'&name='+documents.data().customer+'&phone='+documents.data().customerPhone+'&no='+documents.data().orderNumber+'"'+
                            'data-toggle="quickview">'+
                                '<img class="avatar" src="../images/avatar/2.jpg" alt="...">'+
                                '<div class="media-body text-truncate">'+
                                ' <h6>'+documents.data().customer+', ORDER NUMBER: '+documents.data().orderNumber+'</h6>'+
                                    ' <small>'+
                                    ' <span>'+documents.data().customerEmail+'</span>'+
                                        ' <span class="divider-dash">'+documents.data().customerPhone+'</span>'+
                                        ' </small>'+
                                    '</div>'+
                                '</a>'+
                        '</div>'
                        });
                       
                    });
                   
                    
 
 
                 } else {
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops...',
                        text: 'You do not have access to this platform.'

                    });
                    toggleSignOut()
                     // doc.data() will be undefined in this case
                     console.log("No such document!");
                 }
             }).catch(function (error) {
                 console.log("Error getting document:", error);
             });
 
 
 
         } else {
             // User is signed out.
             console.log("User is signed out");
             window.location.href = 'index.html'
 
         }
 
     });
     // [END authstatelistener]
 
 }
 
 window.onload = function () {
     initApp();
 };
 
 
 
 function toggleSignOut() {
 
     // [START signout]
     firebase.auth().signOut();
     // [END signout]
 
 }
 
 $(document).on("keydown",function(e){
 
    var keyCode = e.which || e.keyCode;
    if(keyCode == 13) // enter key code
    {
       toggleSignIn();
    }
 
 });