/**
 * initApp handles setting up UI event listeners and registering Firebase auth listeners:
 *  - firebase.auth().onAuthStateChanged: This listener is called when the user is signed in or
 *    out, and that is where we update the UI.
 */

 let email;
 let uid;
 let restName;
 let traderName;
 let restId;
 let traderId;
 var GET = {};
var query = window.location.search.substring(1).split("&");
for (var i = 0, max = query.length; i < max; i++) {
    if (query[i] === "") // check for trailing & with no param
        continue;

    var param = query[i].split("=");
    GET[decodeURIComponent(param[0])] = decodeURIComponent(param[1] || "");
}
let orderId = GET.orderId;
 
 
 function initApp() {
     // Listening for auth state changes.
     // [START authstatelistener]
     firebase.auth().onAuthStateChanged(function (user) {
         if (user) {
             // User is signed in.
 
 
 
             email = user.email;
             let emailVerified = user.emailVerified;
             uid = user.uid;
             let providerData = user.providerData;
 
             console.log(user.metadata.lastSignInTime);
             let db = firebase.firestore();
 
 
             let docRef = db.collection("traders").doc(uid);
 
 
             docRef.get().then(function (doc) {
                 if (doc.exists) {
 
                     restName = doc.data().restaurant;
                     restId = doc.data().restId;
                     traderId = doc.data().traderId;
                     traderName = doc.data().traderFullName;
                     document.getElementById('proName').innerText = traderName + " (" + restName + ")";

                     db.collection("orders").doc(orderId).onSnapshot((docs) => {
                          

                                
                                let displayName = docs.data().displayName;
                                let phoneNumber = docs.data().userPhone;
                                let email = docs.data().email;
                                let deliveryAddress = docs.data().deliveryAddress;

                              
                                document.getElementById('custName').innerText = displayName;
                                document.getElementById('custPhone').innerText = phoneNumber;
                                document.getElementById('custEmail').innerText = email;
                                document.getElementById('custAddress').innerText = deliveryAddress;


                               

                                var div = document.getElementById('deliveryRow');

                                if(docs.data().deliveryStatusId != 1 || docs.data().deliveryStatusId != 2){
                                    document.getElementById('driverName').innerText = docs.data().driverName;
                                    document.getElementById('driverPhone').innerText = docs.data().driverPhone;
                                }else{
                                    div.innerText = "";
                                }

                                db.collection("orders").doc(orderId).collection("items").onSnapshot((snapshot) => {
                          
                                    snapshot.forEach(function (document) {
                                
                                    let mealName = document.data().mealName;
                                    let mealPrice = document.data().mealPrice;
                                    let mealTotal= document.data().mealTotal;
                                    let quantity = document.data().quantity;
                                    let mealImage = document.data().mealImage;
                                    let menuName= document.data().menuName;

                                    var body = "<tr>";
         
                             body += '<td><img src='+mealImage+' alt="" width="80"></td>';
                             body += "<td><h6>"+menuName+"</h6><h4>"+mealName+"</h4></td>";
                             body += "<td>" + mealPrice + "</td>";
                             body += "<td>" + quantity + "</td>";
                             body += "<td>" +mealTotal + "</td>";
                        
                             body += '<td align="center"><a href="javascript:void(0)" class="btn btn-circle btn-primary btn-xs" title="" data-toggle="tooltip" data-original-title="Delete"><i class="ti-trash"></i></a></td>';
                             body += "</tr>"
                             $("#items tbody").append(body);

                                  
                                   
    
                                    });  
                                        
                                
    
                            });
                                    
                            

                        });
 
 
 
                 } else {
                     Swal.fire({
                         icon: 'error',
                         title: 'Oops...',
                         text: 'You don not have access to this platform.'
 
                     });
                     toggleSignOut()
                     // doc.data() will be undefined in this case
                     console.log("No such document!");
                 }
             }).catch(function (error) {
                 console.log("Error getting document:", error);
             });
 
 
 
         } else {
             // User is signed out.
             console.log("User is signed out");
             window.location.href = 'index.html'
 
         }
 
     });
     // [END authstatelistener]
 
 }
 
 window.onload = function () {
     initApp();
 };
 
 
 
 function toggleSignOut() {
 
     // [START signout]
     firebase.auth().signOut();
     // [END signout]
 
 }
 
 $(document).on("keydown", function (e) {
 
     var keyCode = e.which || e.keyCode;
     if (keyCode == 13) // enter key code
     {
         toggleSignIn();
     }
 
 });
 
 
 

 
 
 
 