/**
 * initApp handles setting up UI event listeners and registering Firebase auth listeners:
 *  - firebase.auth().onAuthStateChanged: This listener is called when the user is signed in or
 *    out, and that is where we update the UI.
 */

let email;
let uid;
var GET = {};
var query = window.location.search.substring(1).split("&");
for (var i = 0, max = query.length; i < max; i++) {
    if (query[i] === "") // check for trailing & with no param
        continue;

    var param = query[i].split("=");
    GET[decodeURIComponent(param[0])] = decodeURIComponent(param[1] || "");
}
let chatId = GET.chatId;
let branchId = GET.branchId;
let orderNumber = GET.no;
let roomId = chatId + '-' + branchId+ '-' + orderNumber;
console.log(roomId)
let customer = GET.name;
let customerPhone = GET.phone;

function initApp() {
    // Listening for auth state changes.
    // [START authstatelistener]
    firebase.auth().onAuthStateChanged(function (user) {
        if (user) {
            // User is signed in.



            email = user.email;
            let emailVerified = user.emailVerified;
            uid = user.uid;
            let providerData = user.providerData;

            console.log(user.metadata.lastSignInTime);
            let db = firebase.firestore();


            let docRef = db.collection("traders").doc(uid);

            docRef.get().then(function (doc) {
                if (doc.exists) {

                    let restName = doc.data().restaurant;
                    let traderName = doc.data().traderFullName;
                    let restId = doc.data().restId;
                    document.getElementById('proName').innerText = traderName + " (" + restName + ")";
                    document.getElementById('customer').innerText = customer +", ORDER NUMBER: "+orderNumber;
                    document.getElementById('customerPhone').innerText = customerPhone
                    db.collection("messages").doc(roomId).collection(roomId).orderBy('timestamp', 'asc').onSnapshot((snapshot) => {
                        document.getElementById('chatBox').innerHTML = "";
                        snapshot.forEach(function (documents) {

                            var div = document.getElementById('chatBox');
                            if (documents.data().idFrom === chatId) {
                                div.innerHTML += '<div class="card d-inline-block mb-3 float-start me-2 no-shadow bg-lighter max-w-p80">' +

                                    '<div class="card-body">' +
                                    ' <div class="d-flex flex-row pb-2">' +
                                    ' <a class="d-flex" href="#">' +
                                    '<img alt="Profile" src="../images/avatar/2.jpg" class="avatar me-10">' +
                                    ' </a>' +
                                    ' <div class="d-flex flex-grow-1 min-width-zero">' +
                                    ' <div class="m-2 ps-0 align-self-center d-flex flex-column flex-lg-row justify-content-between">' +
                                    ' <div class="min-width-zero">' +
                                    ' <p class="mb-0 fs-16 text-dark">' + customer + '</p>' +
                                    ' </div>' +
                                    ' </div>' +
                                    '  </div>' +
                                    '</div>' +
                                    '<div class="chat-text-start ps-55">' +
                                    '<p class="mb-0 text-semi-muted">' + documents.data().content + '</p>' +
                                    ' </div>' +
                                    ' <div class="position-absolute pt-1 pe-2 r-0">' +
                                    ' <span class="text-extra-small text-muted">' + documents.data().timestamp.toDate().toLocaleTimeString('en-US') + '</span>' +
                                    ' </div>' +
                                    ' </div>' +

                                    '</div>' +
                                    '<div class="clearfix"></div>'
                            } else {
                                div.innerHTML += '<div class="card d-inline-block mb-3 float-end me-2 bg-primary max-w-p80">' +

                                    '<div class="card-body">' +
                                    ' <div class="d-flex flex-row pb-2">' +
                                    ' <a class="d-flex" href="#">' +
                                    '<img alt="Profile" src="../images/avatar/2.jpg" class="avatar me-10">' +
                                    ' </a>' +
                                    ' <div class="d-flex flex-grow-1 min-width-zero">' +
                                    ' <div class="m-2 ps-0 align-self-center d-flex flex-column flex-lg-row justify-content-between">' +
                                    ' <div class="min-width-zero">' +
                                    ' <p class="mb-0 fs-16 text-dark">' + traderName + '</p>' +
                                    ' </div>' +
                                    ' </div>' +
                                    '  </div>' +
                                    '</div>' +
                                    '<div class="chat-text-start ps-55">' +
                                    '<p class="mb-0 text-semi-muted">' + documents.data().content + '</p>' +
                                    ' </div>' +
                                    ' <div class="position-absolute pt-1 pe-2 r-0">' +
                                    ' <span class="text-extra-small text-muted">' + documents.data().timestamp.toDate().toLocaleTimeString('en-US') + '</span>' +
                                    ' </div>' +
                                    ' </div>' +

                                    '</div>' +
                                    '<div class="clearfix"></div>'
                            }

                        });

                    });




                } else {
                    Swal.fire({
                        icon: 'error',
                        title: 'Oops...',
                        text: 'You do not have access to this platform.'

                    });
                    toggleSignOut()
                    // doc.data() will be undefined in this case
                    console.log("No such document!");
                }
            }).catch(function (error) {
                console.log("Error getting document:", error);
            });



        } else {
            // User is signed out.
            console.log("User is signed out");
            window.location.href = 'index.html'

        }

    });
    // [END authstatelistener]

}
function sendMessage() {
    
    let content = document.getElementById('message').value;
    if(content !== null){
        let db = firebase.firestore();
        db.collection("messages").doc(roomId).collection(roomId).add({
            idFrom: branchId,
            idTo: chatId,
            timestamp: firebase.firestore.FieldValue.serverTimestamp(),
            content: content,
            type: 0
        }).then(function () {
            document.getElementById('message').value = null;
        })
        .catch(function (error) {
            
        });
    }
 
}

window.onload = function () {
    initApp();
};



function toggleSignOut() {

    // [START signout]
    firebase.auth().signOut();
    // [END signout]

}

$(document).on("keydown", function (e) {

    var keyCode = e.which || e.keyCode;
    if (keyCode == 13) // enter key code
    {
        toggleSignIn();
    }

});